import request from '/@/utils/request';
// 所有病程名称
export function getCourseName() {
	return request({
		url: '/patient/disease/progress/record/listAllRecordName',
		method: 'post'
	});
}
export function deleteCourseRecord(id: string) {
	return request({
		url: '/patient/disease/progress/record/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params: {
			id
		},
	});
}

// 添加
export function addCourseRecord(params: object) {
  return request({
    url: '/patient/disease/progress/record/add',
    method: 'post',
    data: params
  })
}
// 修改
export function editCourseRecord(params: object) {
  return request({
    url: '/patient/disease/progress/record/update',
    method: 'post',
    data: params
  })
}
export function getCourseRecordList(params: object) {
    return request({
      url: '/patient/disease/progress/record/list',
      method: 'post',
      params
    })
}